QGIS Application - Bug report #4488
GPS Tracking: blocking
2011-11-02 10:25 PM - Brylie Oxley

Status: Closed

Priority: Normal

Assignee:

Category: GPS Live Tracking

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 14414
Description

When using the Live GPS Tracking feature, the Ul becomes inaccessible whenever new GPS coordinates are being updated. This makes
it very difficult to interact with functionality, such as toggling a layer edit mode. | propose that the GPS update functionality be moved to
non-blocking thread(s) so that normal user interaction may continue unobstructed.

History

#1 - 2011-12-09 08:43 AM - Paolo Cavallini
- Category set to C++ Plugins

#2 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 11:56 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2014-06-29 06:41 AM - Jiirgen Fischer
- Category changed from C++ Plugins to C++ plugins/GPS plugin

#7 - 2016-05-24 01:10 PM - Alexander Bruy
- Category changed from C++ plugins/GPS plugin to GPS Live Tracking

#8 - 2017-05-01 01:10 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#9 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
